local TextColor = color("1,1,1,1");
local StrokeColor = color("0,0,0,0");
local ShadowColor = color("0,0,0,1");

return Def.ActorFrame {
	Def.ActorFrame {
		AutoText("frutiger") .. {
			Name="HeaderText";
			InitCommand=cmd(x,16;horizalign,left;shadowlength,1;diffuse,TextColor;strokecolor,StrokeColor;shadowcolor,ShadowColor;settext,ScreenString("HeaderText");maxwidth,SCREEN_CENTER_X*0.9);
			OnCommand=cmd(y,-24;decelerate,0.5;addy,24;diffusealpha,1);
			OffCommand=cmd(accelerate,0.5;y,-24;diffusealpha,0);
		};

		UpdateScreenHeaderMessageCommand=function(self,params)
			local header = self:GetChild("HeaderText");
			header:settext( params.Header );
		end
	};
};
